Bug 26551 - dynamic DNS not working
dynamic DNS not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 17:17 EST by Don Vanco
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-24 18:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Don Vanco 2001-02-07 17:17:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


dynamic DNS does not appear to work.  Attached config files are valid as 
far as I can tell.  Running an "nsupdate" produces erros looking for a 
module.

Reproducible: Always
Steps to Reproduce:
1.Set up DNS for dynamic DNS
2.Start or restart DNS (named)
3.Run an nsupdate while following /var/log/messages (see first messages 
log below)

Now try an nsupdate:
type "nsupdate" and you see:

Feb  7 14:57:07 littlelinux modprobe: modprobe: Can't locate module net-pf-
10

in the messages file

Run nsupdate and add an entry with "update add test.iacs.pios.com 3600 A 
192.168.240.240" and hit enter (IF YOU HIT ENTER AGAIN IT SEG FAULTS!!! 
THIS IS BAD{tm})

hit "ctrl-d" as specified by nsupdate and you get no errors anywhere - but 
you can't resolve the update:
[root@littlelinux init.d]# dig test.iacs.pios.com

; <<>> DiG 9.1.0 <<>> test.iacs.pios.com
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NXDOMAIN, id: 55446
;; flags: qr aa rd ra; QUERY: 1, ANSWER: 0, AUTHORITY: 1, ADDITIONAL: 0

;; QUESTION SECTION:
;test.iacs.pios.com.            IN      A

;; AUTHORITY SECTION:
iacs.pios.com.          86400   IN      SOA     littlelinux.iacs.pios.com. 
wisej
.pios.com. 973531646 900 3600 86400 86400

;; Query time: 58 msec
;; SERVER: 192.168.240.105#53(192.168.240.105)
;; WHEN: Wed Feb  7 15:03:07 2001
;; MSG SIZE  rcvd: 90




	

Actual Results:  when starting named var/log/messages shows:
Feb  7 14:53:46 littlelinux named: named startup succeeded
Feb  7 14:53:46 littlelinux named[1398]: starting BIND 9.1.0 -u named
Feb  7 14:53:46 littlelinux named[1398]: using 1 CPU
Feb  7 14:53:46 littlelinux named[1402]: loading configuration 
from '/etc/named.conf'
Feb  7 14:53:46 littlelinux named[1402]: zone 'iacs.pios.com' allows 
updates by IP address, which is insecure
Feb  7 14:53:46 littlelinux named[1402]: zone '240.168.192.in-addr.arpa' 
allows updates by IP address, which is insecure
Feb  7 14:53:46 littlelinux named[1402]: the default for the 'auth-
nxdomain' option is now 'no'
Feb  7 14:53:46 littlelinux modprobe: modprobe: Can't locate module net-pf-
10
Feb  7 14:53:46 littlelinux named[1402]: no IPv6 interfaces found
Feb  7 14:53:46 littlelinux named[1402]: listening on IPv4 interface lo, 
127.0.0.1#53
Feb  7 14:53:46 littlelinux named[1402]: listening on IPv4 interface eth0, 
192.168.240.105#53
Feb  7 14:53:46 littlelinux named[1402]: dns_master_load: 192.168.240.:1: 
no TTL specified
Feb  7 14:53:46 littlelinux named[1402]: dns_zone_load: zone 
240.168.192.in-addr.arpa/IN: loading master file 192.168.240.: no ttl
Feb  7 14:53:46 littlelinux named[1402]: running



Expected Results:  I expected to be able to do an nslookup / dig on the 
newly added entry and it should resolve .

uname -a
Linux littlelinux.iacs.pios.com 2.4.0-0.99.11 #1 Wed Jan 24 16:07:17 EST 
2001 i686 unknown

rpm -q bind
bind-9.1.0-2

Here's my named.conf:
// generated by named-bootconf.pl

options {
        directory "/var/named";
        /*
         * If there is a firewall between you and nameservers you want
         * to talk to, you might need to uncomment the query-source
         * directive below.  Previous versions of BIND always asked
         * questions using port 53, but BIND 8.1 uses an unprivileged
         * port by default.
         */
        // query-source address * port 53;
};

//
// a caching only nameserver config
//
zone "." IN {
        type hint;
        file "named.ca";
};

zone "localhost" IN {
        type master;
        file "localhost.zone";
        allow-update { none; };
};

zone "0.0.127.in-addr.arpa" IN {
        type master;
        file "named.local";
        allow-update { none; };
};

zone "iacs.pios.com" IN {
        type master;
        file "iacs.pios.com.zone";
        allow-update { 192.168.240.105;192.168.240.101; };
};

zone "240.168.192.in-addr.arpa" IN {
        type master;
        file "192.168.240.";
        allow-update { 192.168.240.105;192.168.240.101; };
};

Here's my zone files:

[root@littlelinux named]# cat 192.168.240.
@       IN      SOA     littlelinux.iacs.pios.com wisej@pios.com (
                        2000110224
                        3600
                        900
                        1209600
                        43200 )
@               IN      NS      littlelinux.iacs.pios.com.
105.240.168.192.in-addr.arpa.   IN      PTR     littlelinux.iacs.pios.com.


[root@littlelinux named]# cat iacs.pios.com.zone
$ttl 86400
iacs.pios.com.  IN      SOA     littlelinux wisej.pios.com. (
                        973531646
                        900
                        3600
                        86400
                        86400 )
iacs.pios.com.  IN      NS      littlelinux.
littlelinux.iacs.pios.com.      IN      A       192.168.240.105
Comment 1 kenneth_porter 2001-04-17 02:13:44 EDT
The message from modprobe is complaining that it can't find support for IPv6 (protocol family 10). This can be disabled in /etc/modules.conf. I think 
there's a BIND 9 option to disable IPv6 support which should also silence this message. Don't know if this will affect the nsupdate segfault, though.
Comment 2 Karsten Hopp 2002-07-16 08:41:45 EDT
please reopen the bugreport if the problem still exists with the latest version 
ftp://updates.redhat.com/7.1/en/os/i386/bind-9.2.1-0.70.i386.rpm

Note You need to log in before you can comment on or make changes to this bug.